#!/usr/bin/env python3
import os
from py2neo import Graph
import sys

if len(sys.argv)<2:
    print("Usage: bloodyhashes.py <CORP.LOCAL> <USER_HASH_FILE>")
DOMAIN = sys.argv[1]
FILE = sys.argv[2]

ADD_OWNED_QUERY='MATCH (n:User) WHERE (n.name =~ "(?i){name}@{domain}") SET n.owned=True, n.notes="Password is {passw}" RETURN n.name,n.owned,n.notes'
NEO4J_USER = os.environ['NEO4J_USER']
NEO4J_PASS = os.environ['NEO4J_PASS']

g = Graph("bolt://localhost:7687", auth=(NEO4J_USER, NEO4J_PASS))

with open(FILE, 'r') as f:
    tuples = f.read().split("\n")[:-1]

for t in tuples:
    user , pwd = t.split(":",1)
    if pwd == '':
        pwd = '<empty>'
    print(g.run(ADD_OWNED_QUERY.format(name=user, passw=pwd, domain=DOMAIN)).to_table())

